Skip to main content
POST
Create a webhook endpoint

Authorizations

Authorization
string
header
required

An org API key: Authorization: Bearer oak_….

Body

application/json
url
string
required
Required string length: 1 - 2048
events
string[]
required
Required array length: 1 - 50 elements
description
string | null
Maximum string length: 500

Response

Successful Response

The create response — the only place /v1 returns the signing secret.

id
string
required
url
string
required
description
string | null
required
events
string[]
required
enabled
boolean
required
disabled_reason
string | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
secret
string
required